Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -4059,36 +4054,38 @@
 			}
 
 				// For each rendered wizard, put them together around the item.
-			if (count($outArr))	{
+			if (count($outArr)) {
-				if ($wizConf['_HIDDENFIELD'])	$item = $itemKinds[1];
+				if ($wizConf['_HIDDENFIELD']) {
+					$item = $itemKinds[1];
+				}
 
 				$outStr = '';
-				$vAlign = $wizConf['_VALIGN'] ? ' style="vertical-align:'.$wizConf['_VALIGN'].'"' : '';
+				$vAlign = $wizConf['_VALIGN'] ? ' style="vertical-align:' . $wizConf['_VALIGN'] . '"' : '';
-				if (count($outArr)>1 || $wizConf['_PADDING'])	{
+				if (count($outArr) > 1 || $wizConf['_PADDING']) {
 					$dist = intval($wizConf['_DISTANCE']);
-					if ($wizConf['_VERTICAL'])	{
+					if ($wizConf['_VERTICAL']) {
-						$dist = $dist ? '<tr><td><img src="clear.gif" width="1" height="'.$dist.'" alt="" /></td></tr>' : '';
+						$dist = $dist ? '<tr><td><img src="clear.gif" width="1" height="' . $dist . '" alt="" /></td></tr>' : '';
-						$outStr = '<tr><td>'.implode('</td></tr>'.$dist.'<tr><td>',$outArr).'</td></tr>';
+						$outStr = '<tr><td>' . implode('</td></tr>' . $dist . '<tr><td>', $outArr) . '</td></tr>';
 					} else {
-						$dist = $dist ? '<td><img src="clear.gif" height="1" width="'.$dist.'" alt="" /></td>' : '';
+						$dist = $dist ? '<td><img src="clear.gif" height="1" width="' . $dist . '" alt="" /></td>' : '';
-						$outStr = '<tr><td'.$vAlign.'>'.implode('</td>'.$dist.'<td'.$vAlign.'>',$outArr).'</td></tr>';
+						$outStr = '<tr><td' . $vAlign . '>' . implode('</td>' . $dist . '<td' . $vAlign . '>', $outArr) . '</td></tr>';
 					}
-					$outStr = '<table border="0" cellpadding="'.intval($wizConf['_PADDING']).'" cellspacing="'.intval($wizConf['_PADDING']).'">'.$outStr.'</table>';
+					$outStr = '<table border="0" cellpadding="' . intval($wizConf['_PADDING']) . '" cellspacing="' . intval($wizConf['_PADDING']) . '">' . $outStr . '</table>';
 				} else {
-					$outStr = implode('',$outArr);
+					$outStr = implode('', $outArr);
 				}
 
-				if (!strcmp($wizConf['_POSITION'],'left'))	{
+				if (!strcmp($wizConf['_POSITION'], 'left')) {
-					$outStr = '<tr><td'.$vAlign.'>'.$outStr.'</td><td'.$vAlign.'>'.$item.'</td></tr>';
+					$outStr = '<tr><td' . $vAlign . '>' . $outStr . '</td><td' . $vAlign . '>' . $item . '</td></tr>';
-				} elseif (!strcmp($wizConf['_POSITION'],'top'))	{
+				} elseif (!strcmp($wizConf['_POSITION'], 'top')) {
-					$outStr = '<tr><td>'.$outStr.'</td></tr><tr><td>'.$item.'</td></tr>';
+					$outStr = '<tr><td>' . $outStr . '</td></tr><tr><td>' . $item . '</td></tr>';
-				} elseif (!strcmp($wizConf['_POSITION'],'bottom'))	{
+				} elseif (!strcmp($wizConf['_POSITION'], 'bottom')) {
-					$outStr = '<tr><td>'.$item.'</td></tr><tr><td>'.$outStr.'</td></tr>';
+					$outStr = '<tr><td>' . $item . '</td></tr><tr><td>' . $outStr . '</td></tr>';
 				} else {
-					$outStr = '<tr><td'.$vAlign.'>'.$item.'</td><td'.$vAlign.'>'.$outStr.'</td></tr>';
+					$outStr = '<tr><td' . $vAlign . '>' . $item . '</td><td' . $vAlign . '>' . $outStr . '</td></tr>';
 				}
 
-				$item = '<table border="0" cellpadding="0" cellspacing="0">'.$outStr.'</table>';
+				$item = '<table border="0" cellpadding="0" cellspacing="0">' . $outStr . '</table>';
 			}
 		}
 		return $item;
@@ -4100,26 +4097,26 @@
 	 * @param	string		Icon reference
 	 * @return	array		Array with two values; the icon file reference (relative to PATH_typo3 minus backPath), the icon file information array (getimagesize())
 	 */
-	function getIcon($icon)	{
+	function getIcon($icon) {
-		if (substr($icon,0,4)=='EXT:')	{
+		if (substr($icon, 0, 4) == 'EXT:') {
 			$file = t3lib_div::getFileAbsFileName($icon);
-			if ($file)	{
+			if ($file) {
-				$file = substr($file,strlen(PATH_site));
+				$file = substr($file, strlen(PATH_site));
-				$selIconFile = $this->backPath.'../'.$file;
+				$selIconFile = $this->backPath . '../' . $file;
-				$selIconInfo = @getimagesize(PATH_site.$file);
+				$selIconInfo = @getimagesize(PATH_site . $file);
 			}
-		} elseif (substr($icon,0,3)=='../')	{
+		} elseif (substr($icon, 0, 3) == '../') {
-			$selIconFile = $this->backPath.t3lib_div::resolveBackPath($icon);
+			$selIconFile = $this->backPath . t3lib_div::resolveBackPath($icon);
-			$selIconInfo = @getimagesize(PATH_site.t3lib_div::resolveBackPath(substr($icon,3)));
+			$selIconInfo = @getimagesize(PATH_site . t3lib_div::resolveBackPath(substr($icon, 3)));
-		} elseif (substr($icon,0,4)=='ext/' || substr($icon,0,7)=='sysext/') {
+		} elseif (substr($icon, 0, 4) == 'ext/' || substr($icon, 0, 7) == 'sysext/') {
-			$selIconFile = $this->backPath.$icon;
+			$selIconFile = $this->backPath . $icon;
-			$selIconInfo = @getimagesize(PATH_typo3.$icon);
+			$selIconInfo = @getimagesize(PATH_typo3 . $icon);
 		} else {
-			$selIconFile = t3lib_iconWorks::skinImg($this->backPath,'gfx/'.$icon,'',1);
+			$selIconFile = t3lib_iconWorks::skinImg($this->backPath, 'gfx/' . $icon, '', 1);
 			$iconPath = substr($selIconFile, strlen($this->backPath));
 			$selIconInfo = @getimagesize(PATH_typo3 . $iconPath);
 		}
-		return array($selIconFile,$selIconInfo);
+		return array($selIconFile, $selIconInfo);
 	}
 
 	/**
@@ -4128,17 +4125,17 @@
 	 * @param	string		Icon string for option item
 	 * @return	string		Style attribute content, if any
 	 */
-	function optionTagStyle($iconString)	{
+	function optionTagStyle($iconString) {
-		if ($iconString)	{
+		if ($iconString) {
-			list($selIconFile,$selIconInfo) = $this->getIcon($iconString);
+			list($selIconFile, $selIconInfo) = $this->getIcon($iconString);
 
-			$padLeft = $selIconInfo[0]+4;
+			$padLeft = $selIconInfo[0] + 4;
 
-			if($padLeft >= 18 && $padLeft <= 24) {
+			if ($padLeft >= 18 && $padLeft <= 24) {
 				$padLeft = 22; // In order to get the same padding for all option tags even if icon sizes differ a little, set it to 22 if it was between 18 and 24 pixels
 			}
 
-			$padTop = t3lib_div::intInRange(($selIconInfo[1]-12)/2,0);
+			$padTop = t3lib_div::intInRange(($selIconInfo[1] - 12) / 2, 0);
 			$styleAttr = 'background: #fff url(' . $selIconFile . ') 0% 50% no-repeat; height: ' . t3lib_div::intInRange(($selIconInfo[1] + 2) - $padTop, 0) . 'px; padding-top: ' . $padTop . 'px; padding-left: ' . $padLeft . 'px;';
 			return $styleAttr;
 		}
@@ -4151,11 +4148,11 @@
 	 * @param	array		Values in an array
 	 * @return	array		Input string exploded with comma and for each value only the label part is set in the array. Keys are numeric
 	 */
-	function extractValuesOnlyFromValueLabelList($itemFormElValue)	{
+	function extractValuesOnlyFromValueLabelList($itemFormElValue) {
 			// Get values of selected items:
-		$itemArray = t3lib_div::trimExplode(',',$itemFormElValue,1);
+		$itemArray = t3lib_div::trimExplode(',', $itemFormElValue, 1);
-		foreach($itemArray as $tk => $tv) {
+		foreach ($itemArray as $tk => $tv) {
-			$tvP = explode('|',$tv,2);
+			$tvP = explode('|', $tv, 2);
 			$tvP[0] = rawurldecode($tvP[0]);
 
 			$itemArray[$tk] = $tvP[0];
@@ -4171,13 +4168,13 @@
 	 * @param	array		The palette pointer.
 	 * @param	integer		The record array
 	 */
-	function wrapOpenPalette($header,$table,$row,$palette,$retFunc)	{
+	function wrapOpenPalette($header, $table, $row, $palette, $retFunc) {
-		$id  = 'TCEFORMS_'.$table.'_'.$palette.'_'.$row['uid'];
+		$id = 'TCEFORMS_' . $table . '_' . $palette . '_' . $row['uid'];
-		$res = '<a href="#" onclick="TBE_EDITOR.toggle_display_states(\''.$id.'\',\'block\',\'none\'); return false;" >'.$header.'</a>';
+		$res = '<a href="#" onclick="TBE_EDITOR.toggle_display_states(\'' . $id . '\',\'block\',\'none\'); return false;" >' . $header . '</a>';
-		return array($res,'');
+		return array($res, '');
 	}
 
- 	/**
+	/**
 	 * Add the id and the style property to the field palette
 	 *
 	 * @param	string		Palette Code
@@ -4186,10 +4183,10 @@
 	 * @param	string		The record array
 	 * @return	boolean		is collapsed
 	 */
-	function wrapPaletteField($code,$table,$row,$palette,$collapsed )	{
+	function wrapPaletteField($code, $table, $row, $palette, $collapsed) {
 		$display = $collapsed ? 'none' : 'block';
-		$id = 'TCEFORMS_'.$table.'_'.$palette.'_'.$row['uid'];
+		$id = 'TCEFORMS_' . $table . '_' . $palette . '_' . $row['uid'];
-		$code = '<div id="'.$id.'" style="display:'.$display.';" >'.$code.'</div>';
+		$code = '<div id="' . $id . '" style="display:' . $display . ';" >' . $code . '</div>';
 		return $code;
 	}
 
@@ -4203,11 +4200,11 @@
 	 * @param	string		Additional JavaScript for the onclick handler.
 	 * @return	string		The onclick attribute + possibly the checked-option set.
 	 */
-	function checkBoxParams($itemName,$thisValue,$c,$iCount,$addFunc='')	{
+	function checkBoxParams($itemName, $thisValue, $c, $iCount, $addFunc = '') {
-		$onClick = $this->elName($itemName).'.value=this.checked?('.$this->elName($itemName).'.value|'.pow(2,$c).'):('.$this->elName($itemName).'.value&'.(pow(2,$iCount)-1-pow(2,$c)).');'.
+		$onClick = $this->elName($itemName) . '.value=this.checked?(' . $this->elName($itemName) . '.value|' . pow(2, $c) . '):(' . $this->elName($itemName) . '.value&' . (pow(2, $iCount) - 1 - pow(2, $c)) . ');' .
-					$addFunc;
+				   $addFunc;
-		$str = ' onclick="'.htmlspecialchars($onClick).'"'.
+		$str = ' onclick="' . htmlspecialchars($onClick) . '"' .
-				(($thisValue&pow(2,$c))?' checked="checked"':'');
+			   (($thisValue & pow(2, $c)) ? ' checked="checked"' : '');
 		return $str;
 	}
 
@@ -4217,8 +4214,8 @@
 	 * @param	string		Form element name
 	 * @return	string		Form element reference (JS)
 	 */
-	function elName($itemName)	{
+	function elName($itemName) {
-		return 'document.'.$this->formName."['".$itemName."']";
+		return 'document.' . $this->formName . "['" . $itemName . "']";
 	}
 
 	/**
@@ -4231,10 +4228,10 @@
 	 * @return	string
 	 * @deprecated since TYPO3 4.1, this function will be removed in TYPO3 4.6.
 	 */
-	function noTitle($str,$wrapParts=array())	{
+	function noTitle($str, $wrapParts = array()) {
 		t3lib_div::logDeprecatedFunction();
 
-		return strcmp($str,'') ? $str : $wrapParts[0].'['.$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.no_title').']'.$wrapParts[1];
+		return strcmp($str, '') ? $str : $wrapParts[0] . '[' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.no_title') . ']' . $wrapParts[1];
 	}
 
 	/**
@@ -4242,8 +4239,8 @@
 	 *
 	 * @return	string		If the current browser supports styles, the string 'this.blur();' is returned.
 	 */
-	function blur()	{
+	function blur() {
-		return $GLOBALS['CLIENT']['FORMSTYLE'] ? 'this.blur();':'';
+		return $GLOBALS['CLIENT']['FORMSTYLE'] ? 'this.blur();' : '';
 	}
 
 	/**
@@ -4251,7 +4248,7 @@
 	 *
 	 * @return	string		Return URL of current script
 	 */
-	function thisReturnUrl()	{
+	function thisReturnUrl() {
 		return $this->returnUrl ? $this->returnUrl : t3lib_div::linkThisScript();
 	}
 
@@ -4264,16 +4261,16 @@
 	 * @param	array		The row
 	 * @return	string		The hidden-field <input> tag.
 	 */
-	function getSingleHiddenField($table,$field,$row)	{
+	function getSingleHiddenField($table, $field, $row) {
 		global $TCA;
-		$out='';
+		$out = '';
 		t3lib_div::loadTCA($table);
-		if ($TCA[$table]['columns'][$field])	{
+		if ($TCA[$table]['columns'][$field]) {
 
-			$uid=$row['uid'];
+			$uid = $row['uid'];
-			$itemName=$this->prependFormFieldNames.'['.$table.']['.$uid.']['.$field.']';
+			$itemName = $this->prependFormFieldNames . '[' . $table . '][' . $uid . '][' . $field . ']';
-			$itemValue=$row[$field];
+			$itemValue = $row[$field];
-			$item.='<input type="hidden" name="'.$itemName.'" value="'.htmlspecialchars($itemValue).'" />';
+			$item .= '<input type="hidden" name="' . $itemName . '" value="' . htmlspecialchars($itemValue) . '" />';
 			$out = $item;
 		}
 		return $out;
@@ -4286,7 +4283,7 @@
 	 * @param	boolean		If this is for a text area.
 	 * @return	string		Either a "style" attribute string or "cols"/"size" attribute string.
 	 */
-	function formWidth($size=48,$textarea=0) {
+	function formWidth($size = 48, $textarea = 0) {
 		$widthAndStyleAttributes = '';
 		$fieldWidthAndStyle = $this->formWidthAsArray($size, $textarea);
 
@@ -4312,7 +4309,7 @@
 	 * @param	boolean		If set, calculates sizes for a text area.
 	 * @return	array		An array containing style, class, and width attributes.
 	 */
-	protected function formWidthAsArray($size = 48, $textarea = false) {
+	protected function formWidthAsArray($size = 48, $textarea = FALSE) {
 		$fieldWidthAndStyle = array('style' => '', 'class' => '', 'width' => '');
 
 		if ($this->docLarge) {
@@ -4327,8 +4324,8 @@
 				// Setting width by style-attribute. 'cols' MUST be avoided with NN6+
 			$widthInPixels = ceil($size * $this->form_rowsToStylewidth);
 			$fieldWidthAndStyle['style'] = 'width: ' . $widthInPixels . 'px; '
-				. $this->defStyle
-				. $this->formElStyle($textarea ? 'text' : 'input');
+										   . $this->defStyle
+										   . $this->formElStyle($textarea ? 'text' : 'input');
 
 			$fieldWidthAndStyle['class'] = $this->formElClass($textarea ? 'text' : 'input');
 		}
@@ -4344,11 +4341,11 @@
 	 * @return	string		The "cols" attribute string (or style from formWidth())
 	 * @see formWidth()
 	 */
-	function formWidthText($size=48,$wrap='')	{
+	function formWidthText($size = 48, $wrap = '') {
-		$wTags = $this->formWidth($size,1);
+		$wTags = $this->formWidth($size, 1);
 			// Netscape 6+ seems to have this ODD problem where there WILL ALWAYS be wrapping with the cols-attribute set and NEVER without the col-attribute...
-		if (strtolower(trim($wrap))!='off' && $GLOBALS['CLIENT']['BROWSER']=='net' && $GLOBALS['CLIENT']['VERSION']>=5)	{
+		if (strtolower(trim($wrap)) != 'off' && $GLOBALS['CLIENT']['BROWSER'] == 'net' && $GLOBALS['CLIENT']['VERSION'] >= 5) {
-			$wTags.= ' cols="'.$size.'"';
+			$wTags .= ' cols="' . $size . '"';
 		}
 		return $wTags;
 	}
@@ -4360,7 +4357,7 @@
 	 * @return	string		CSS attributes
 	 * @see formElStyleClassValue()
 	 */
-	function formElStyle($type)	{
+	function formElStyle($type) {
 		return $this->formElStyleClassValue($type);
 	}
 
@@ -4371,7 +4368,7 @@
 	 * @return	string		CSS attributes
 	 * @see formElStyleClassValue()
 	 */
-	function formElClass($type)	{
+	function formElClass($type) {
 		return $this->formElStyleClassValue($type, TRUE);
 	}
 
@@ -4382,17 +4379,17 @@
 	 * @param	boolean		If set, will return value only if prefixed with CLASS, otherwise must not be prefixed "CLASS"
 	 * @return	string		CSS attributes
 	 */
-	function formElStyleClassValue($type, $class=FALSE)	{
+	function formElStyleClassValue($type, $class = FALSE) {
 			// Get value according to field:
-		if (isset($this->fieldStyle[$type]))	{
+		if (isset($this->fieldStyle[$type])) {
 			$style = trim($this->fieldStyle[$type]);
 		} else {
 			$style = trim($this->fieldStyle['all']);
 		}
 
 			// Check class prefixed:
-		if (substr($style,0,6)=='CLASS:')	{
+		if (substr($style, 0, 6) == 'CLASS:') {
-			$out = $class ? trim(substr($style,6)) : '';
+			$out = $class ? trim(substr($style, 6)) : '';
 		} else {
 			$out = !$class ? $style : '';
 		}
@@ -4407,11 +4404,11 @@
 	 * @param	string		Additional class(es) to be added
 	 * @return	string		CSS attributes
 	 */
-	function insertDefStyle($type, $additionalClass = '')	{
+	function insertDefStyle($type, $additionalClass = '') {
 		$out = '';
 
-		$style = trim($this->defStyle.$this->formElStyle($type));
+		$style = trim($this->defStyle . $this->formElStyle($type));
-		$out.= $style?' style="'.htmlspecialchars($style).'"':'';
+		$out .= $style ? ' style="' . htmlspecialchars($style) . '"' : '';
 
 		$class = $this->formElClass($type);
 		$classAttributeValue = join(' ', array_filter(array($class, $additionalClass)));
@@ -4434,27 +4431,18 @@
 			return $GLOBALS['TBE_TEMPLATE']->getDynTabMenu($parts, $idString, 0, FALSE, 0, 1, FALSE, 1, $dividersToTabsBehaviour);
 		} else {
 			$output = '';
-			foreach($parts as $singlePad)	{
+			foreach ($parts as $singlePad) {
-				$output.='
+				$output .= '
-				<h3>'.htmlspecialchars($singlePad['label']).'</h3>
+				<h3>' . htmlspecialchars($singlePad['label']) . '</h3>
-				'.($singlePad['description'] ? '<p class="c-descr">'.nl2br(htmlspecialchars($singlePad['description'])).'</p>' : '').'
+				' . ($singlePad['description'] ? '<p class="c-descr">' . nl2br(htmlspecialchars($singlePad['description'])) . '</p>' : '') . '
-				'.$singlePad['content'];
+				' . $singlePad['content'];
 			}
 
-			return '<div class="typo3-dyntabmenu-divs">'.$output.'</div>';
+			return '<div class="typo3-dyntabmenu-divs">' . $output . '</div>';
 		}
 	}
 
 
-
-
-
-
-
-
-
-
-
 	/************************************************************
 	 *
 	 * Item-array manipulation functions (check/select/radio)
@@ -4468,9 +4456,9 @@
 	 * @param	array		The "columns" array for the field (from TCA)
 	 * @return	array		An array of arrays with three elements; label, value, icon
 	 */
-	function initItemArray($fieldValue)	{
+	function initItemArray($fieldValue) {
 		$items = array();
-		if (is_array($fieldValue['config']['items']))	{
+		if (is_array($fieldValue['config']['items'])) {
 			foreach ($fieldValue['config']['items'] as $itemValue) {
 				$items[] = array($this->sL($itemValue[0]), $itemValue[1], $itemValue[2]);
 			}
@@ -4485,11 +4473,11 @@
 	 * @param	array		An array of items to add. NOTICE: The keys are mapped to values, and the values and mapped to be labels. No possibility of adding an icon.
 	 * @return	array		The updated $item array
 	 */
-	function addItems($items,$iArray)	{
+	function addItems($items, $iArray) {
 		global $TCA;
-		if (is_array($iArray))	{
+		if (is_array($iArray)) {
 			foreach ($iArray as $value => $label) {
-				$items[]=array($this->sl($label),$value);
+				$items[] = array($this->sl($label), $value);
 			}
 		}
 		return $items;
@@ -4506,10 +4494,10 @@
 	 * @param	string		Field name
 	 * @return	array		The modified $items array
 	 */
-	function procItems($items,$iArray,$config,$table,$row,$field)	{
+	function procItems($items, $iArray, $config, $table, $row, $field) {
 		global $TCA;
 
-		$params=array();
+		$params = array();
 		$params['items'] = &$items;
 		$params['config'] = $config;
 		$params['TSconfig'] = $iArray;
@@ -4517,7 +4505,7 @@
 		$params['row'] = $row;
 		$params['field'] = $field;
 
-		t3lib_div::callUserFunction($config['itemsProcFunc'],$params,$this);
+		t3lib_div::callUserFunction($config['itemsProcFunc'], $params, $this);
 		return $items;
 	}
 
@@ -4530,34 +4518,34 @@
 	 * @param	string		The fieldname
 	 * @return	array		The $items array modified.
 	 */
-	function addSelectOptionsToItemArray($items,$fieldValue,$TSconfig,$field)	{
+	function addSelectOptionsToItemArray($items, $fieldValue, $TSconfig, $field) {
 		global $TCA;
 
 			// Values from foreign tables:
-		if ($fieldValue['config']['foreign_table'])	{
+		if ($fieldValue['config']['foreign_table']) {
-			$items = $this->foreignTable($items,$fieldValue,$TSconfig,$field);
+			$items = $this->foreignTable($items, $fieldValue, $TSconfig, $field);
-			if ($fieldValue['config']['neg_foreign_table'])	{
+			if ($fieldValue['config']['neg_foreign_table']) {
-				$items = $this->foreignTable($items,$fieldValue,$TSconfig,$field,1);
+				$items = $this->foreignTable($items, $fieldValue, $TSconfig, $field, 1);
 			}
 		}
 
 			// Values from a file folder:
-		if ($fieldValue['config']['fileFolder'])	{
+		if ($fieldValue['config']['fileFolder']) {
 			$fileFolder = t3lib_div::getFileAbsFileName($fieldValue['config']['fileFolder']);
-			if (@is_dir($fileFolder))	{
+			if (@is_dir($fileFolder)) {
 
 					// Configurations:
 				$extList = $fieldValue['config']['fileFolder_extList'];
-				$recursivityLevels = isset($fieldValue['config']['fileFolder_recursions']) ? t3lib_div::intInRange($fieldValue['config']['fileFolder_recursions'],0,99) : 99;
+				$recursivityLevels = isset($fieldValue['config']['fileFolder_recursions']) ? t3lib_div::intInRange($fieldValue['config']['fileFolder_recursions'], 0, 99) : 99;
 
 					// Get files:
-				$fileFolder = rtrim($fileFolder, '/').'/';
+				$fileFolder = rtrim($fileFolder, '/') . '/';
-				$fileArr = t3lib_div::getAllFilesAndFoldersInPath(array(),$fileFolder,$extList,0,$recursivityLevels);
+				$fileArr = t3lib_div::getAllFilesAndFoldersInPath(array(), $fileFolder, $extList, 0, $recursivityLevels);
 				$fileArr = t3lib_div::removePrefixPathFromList($fileArr, $fileFolder);
 
-				foreach($fileArr as $fileRef)	{
+				foreach ($fileArr as $fileRef) {
 					$fI = pathinfo($fileRef);
-					$icon = t3lib_div::inList('gif,png,jpeg,jpg', strtolower($fI['extension'])) ? '../'.substr($fileFolder,strlen(PATH_site)).$fileRef : '';
+					$icon = t3lib_div::inList('gif,png,jpeg,jpg', strtolower($fI['extension'])) ? '../' . substr($fileFolder, strlen(PATH_site)) . $fileRef : '';
 					$items[] = array(
 						$fileRef,
 						$fileRef,
@@ -4568,20 +4556,20 @@
 		}
 
 			// If 'special' is configured:
-		if ($fieldValue['config']['special'])	{
+		if ($fieldValue['config']['special']) {
-			switch ($fieldValue['config']['special'])	{
+			switch ($fieldValue['config']['special']) {
 				case 'tables':
 					$temp_tc = array_keys($TCA);
 					$descr = '';
 
-					foreach($temp_tc as $theTableNames)	{
+					foreach ($temp_tc as $theTableNames) {
-						if (!$TCA[$theTableNames]['ctrl']['adminOnly'])	{
+						if (!$TCA[$theTableNames]['ctrl']['adminOnly']) {
 
 								// Icon:
-							$icon = '../'.TYPO3_mainDir.t3lib_iconWorks::skinImg($this->backPath,t3lib_iconWorks::getIcon($theTableNames, array()),'',1);
+							$icon = '../' . TYPO3_mainDir . t3lib_iconWorks::skinImg($this->backPath, t3lib_iconWorks::getIcon($theTableNames, array()), '', 1);
 
 								// Add description texts:
-							if ($this->edit_showFieldHelp)	{
+							if ($this->edit_showFieldHelp) {
 								$GLOBALS['LANG']->loadSingleTableDescription($theTableNames);
 								$fDat = $GLOBALS['TCA_DESCR'][$theTableNames]['columns'][''];
 								$descr = $fDat['description'];
@@ -4600,9 +4588,9 @@
 				case 'pagetypes':
 					$theTypes = $TCA['pages']['columns']['doktype']['config']['items'];
 
-					foreach($theTypes as $theTypeArrays)	{
+					foreach ($theTypes as $theTypeArrays) {
 							// Icon:
-						$icon = $theTypeArrays[1]!='--div--' ? '../'.TYPO3_mainDir.t3lib_iconWorks::skinImg($this->backPath,t3lib_iconWorks::getIcon('pages', array('doktype' => $theTypeArrays[1])),'',1) : '';
+						$icon = $theTypeArrays[1] != '--div--' ? '../' . TYPO3_mainDir . t3lib_iconWorks::skinImg($this->backPath, t3lib_iconWorks::getIcon('pages', array('doktype' => $theTypeArrays[1])), '', 1) : '';
 
 							// Item configuration:
 						$items[] = array(
@@ -4616,11 +4604,11 @@
 					$theTypes = t3lib_BEfunc::getExcludeFields();
 					$descr = '';
 
-					foreach($theTypes as $theTypeArrays)	{
+					foreach ($theTypes as $theTypeArrays) {
 						list($theTable, $theField) = explode(':', $theTypeArrays[1]);
 
 							// Add description texts:
-						if ($this->edit_showFieldHelp)	{
+						if ($this->edit_showFieldHelp) {
 							$GLOBALS['LANG']->loadSingleTableDescription($theTable);
 							$fDat = $GLOBALS['TCA_DESCR'][$theTable]['columns'][$theField];
 							$descr = $fDat['description'];
@@ -4638,16 +4626,16 @@
 				case 'explicitValues':
 					$theTypes = t3lib_BEfunc::getExplicitAuthFieldValues();
 
-							// Icons:
+						// Icons:
 					$icons = array(
-						'ALLOW' => '../'.TYPO3_mainDir.t3lib_iconWorks::skinImg($this->backPath,'gfx/icon_ok2.gif','',1),
+						'ALLOW' => '../' . TYPO3_mainDir . t3lib_iconWorks::skinImg($this->backPath, 'gfx/icon_ok2.gif', '', 1),
-						'DENY' => '../'.TYPO3_mainDir.t3lib_iconWorks::skinImg($this->backPath,'gfx/icon_fatalerror.gif','',1),
+						'DENY' => '../' . TYPO3_mainDir . t3lib_iconWorks::skinImg($this->backPath, 'gfx/icon_fatalerror.gif', '', 1),
 					);
 
 						// Traverse types:
-					foreach($theTypes as $tableFieldKey => $theTypeArrays)	{
+					foreach ($theTypes as $tableFieldKey => $theTypeArrays) {
 
-						if (is_array($theTypeArrays['items']))	{
+						if (is_array($theTypeArrays['items'])) {
 								// Add header:
 							$items[] = array(
 								$theTypeArrays['tableFieldLabel'],
@@ -4655,11 +4643,11 @@
 							);
 
 								// Traverse options for this field:
-							foreach($theTypeArrays['items'] as $itemValue => $itemContent)	{
+							foreach ($theTypeArrays['items'] as $itemValue => $itemContent) {
 									// Add item to be selected:
 								$items[] = array(
-									'['.$itemContent[2].'] '.$itemContent[1],
+									'[' . $itemContent[2] . '] ' . $itemContent[1],
-									$tableFieldKey.':'.preg_replace('/[:|,]/','',$itemValue).':'.$itemContent[0],
+									$tableFieldKey . ':' . preg_replace('/[:|,]/', '', $itemValue) . ':' . $itemContent[0],
 									$icons[$itemContent[0]]
 								);
 							}
@@ -4667,14 +4655,14 @@
 					}
 				break;
 				case 'languages':
-					$items = array_merge($items,t3lib_BEfunc::getSystemLanguages());
+					$items = array_merge($items, t3lib_BEfunc::getSystemLanguages());
 				break;
 				case 'custom':
 						// Initialize:
 					$customOptions = $GLOBALS['TYPO3_CONF_VARS']['BE']['customPermOptions'];
-					if (is_array($customOptions))	{
+					if (is_array($customOptions)) {
-						foreach($customOptions as $coKey => $coValue) {
+						foreach ($customOptions as $coKey => $coValue) {
-							if (is_array($coValue['items']))	{
+							if (is_array($coValue['items'])) {
 									// Add header:
 								$items[] = array(
 									$GLOBALS['LANG']->sl($coValue['header']),
@@ -4682,17 +4670,21 @@
 								);
 
 									// Traverse items:
-								foreach($coValue['items'] as $itemKey => $itemCfg)	{
+								foreach ($coValue['items'] as $itemKey => $itemCfg) {
 										// Icon:
-									if ($itemCfg[1])	{
+									if ($itemCfg[1]) {
 										list($icon) = $this->getIcon($itemCfg[1]);
-										if ($icon)	$icon = '../'.TYPO3_mainDir.$icon;
-									} else $icon = '';
+										if ($icon) {
+											$icon = '../' . TYPO3_mainDir . $icon;
+										}
+									} else {
+										$icon = '';
+									}
 
 										// Add item to be selected:
 									$items[] = array(
 										$GLOBALS['LANG']->sl($itemCfg[0]),
-										$coKey.':'.preg_replace('/[:|,]/','',$itemKey),
+										$coKey . ':' . preg_replace('/[:|,]/', '', $itemKey),
 										$icon,
 										$GLOBALS['LANG']->sl($itemCfg[2]),
 									);
@@ -4706,23 +4698,23 @@
 					$loadModules = t3lib_div::makeInstance('t3lib_loadModules');
 					$loadModules->load($GLOBALS['TBE_MODULES']);
 
-					$modList = $fieldValue['config']['special']=='modListUser' ? $loadModules->modListUser : $loadModules->modListGroup;
+					$modList = $fieldValue['config']['special'] == 'modListUser' ? $loadModules->modListUser : $loadModules->modListGroup;
-					if (is_array($modList))	{
+					if (is_array($modList)) {
 						$descr = '';
 
-						foreach($modList as $theMod)	{
+						foreach ($modList as $theMod) {
 
 								// Icon:
-							$icon = $GLOBALS['LANG']->moduleLabels['tabs_images'][$theMod.'_tab'];
+							$icon = $GLOBALS['LANG']->moduleLabels['tabs_images'][$theMod . '_tab'];
-							if ($icon)	{
+							if ($icon) {
-								$icon = '../'.substr($icon,strlen(PATH_site));
+								$icon = '../' . substr($icon, strlen(PATH_site));
 							}
 
 								// Description texts:
-							if ($this->edit_showFieldHelp)	{
+							if ($this->edit_showFieldHelp) {
-								$descr = $GLOBALS['LANG']->moduleLabels['labels'][$theMod.'_tablabel'].
+								$descr = $GLOBALS['LANG']->moduleLabels['labels'][$theMod . '_tablabel'] .
-											LF.
+										 LF .
-											$GLOBALS['LANG']->moduleLabels['labels'][$theMod.'_tabdescr'];
+										 $GLOBALS['LANG']->moduleLabels['labels'][$theMod . '_tabdescr'];
 							}
 
 								// Item configuration:
@@ -4750,13 +4742,15 @@
 	 * @access private
 	 * @see addSelectOptionsToItemArray()
 	 */
-	function addSelectOptionsToItemArray_makeModuleData($value)	{
+	function addSelectOptionsToItemArray_makeModuleData($value) {
 		$label = '';
 			// Add label for main module:
-		$pp = explode('_',$value);
+		$pp = explode('_', $value);
-		if (count($pp)>1)	$label.=$GLOBALS['LANG']->moduleLabels['tabs'][$pp[0].'_tab'].'>';
+		if (count($pp) > 1) {
+			$label .= $GLOBALS['LANG']->moduleLabels['tabs'][$pp[0] . '_tab'] . '>';
+		}
 			// Add modules own label now:
-		$label.= $GLOBALS['LANG']->moduleLabels['tabs'][$value.'_tab'];
+		$label .= $GLOBALS['LANG']->moduleLabels['tabs'][$value . '_tab'];
 
 		return $label;
 	}
@@ -4772,42 +4766,44 @@
 	 * @return	array		The $items array modified.
 	 * @see addSelectOptionsToItemArray(), t3lib_BEfunc::exec_foreign_table_where_query()
 	 */
-	function foreignTable($items,$fieldValue,$TSconfig,$field,$pFFlag=0)	{
+	function foreignTable($items, $fieldValue, $TSconfig, $field, $pFFlag = 0) {
 		global $TCA;
 
 			// Init:
-		$pF=$pFFlag?'neg_':'';
+		$pF = $pFFlag ? 'neg_' : '';
-		$f_table = $fieldValue['config'][$pF.'foreign_table'];
+		$f_table = $fieldValue['config'][$pF . 'foreign_table'];
-		$uidPre = $pFFlag?'-':'';
+		$uidPre = $pFFlag ? '-' : '';
 
 			// Get query:
-		$res = t3lib_BEfunc::exec_foreign_table_where_query($fieldValue,$field,$TSconfig,$pF);
+		$res = t3lib_BEfunc::exec_foreign_table_where_query($fieldValue, $field, $TSconfig, $pF);
 
 			// Perform lookup
-		if ($GLOBALS['TYPO3_DB']->sql_error())	{
+		if ($GLOBALS['TYPO3_DB']->sql_error()) {
-			echo($GLOBALS['TYPO3_DB']->sql_error()."\n\nThis may indicate a table defined in tables.php is not existing in the database!");
+			echo($GLOBALS['TYPO3_DB']->sql_error() . "\n\nThis may indicate a table defined in tables.php is not existing in the database!");
 			return array();
 		}
 
 			// Get label prefix.
-		$lPrefix = $this->sL($fieldValue['config'][$pF.'foreign_table_prefix']);
+		$lPrefix = $this->sL($fieldValue['config'][$pF . 'foreign_table_prefix']);
 
 			// Get icon field + path if any:
 		$iField = $TCA[$f_table]['ctrl']['selicon_field'];
 		$iPath = trim($TCA[$f_table]['ctrl']['selicon_field_path']);
 
 			// Traverse the selected rows to add them:
-		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
+		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
 			t3lib_BEfunc::workspaceOL($f_table, $row);
 
-			if (is_array($row))	{
+			if (is_array($row)) {
 					// Prepare the icon if available:
-				if ($iField && $iPath && $row[$iField])	{
+				if ($iField && $iPath && $row[$iField]) {
-					$iParts = t3lib_div::trimExplode(',',$row[$iField],1);
+					$iParts = t3lib_div::trimExplode(',', $row[$iField], 1);
-					$icon = '../'.$iPath.'/'.trim($iParts[0]);
+					$icon = '../' . $iPath . '/' . trim($iParts[0]);
-				} elseif (t3lib_div::inList('singlebox,checkbox',$fieldValue['config']['renderMode'])) {
+				} elseif (t3lib_div::inList('singlebox,checkbox', $fieldValue['config']['renderMode'])) {
-					$icon = '../'.TYPO3_mainDir.t3lib_iconWorks::skinImg($this->backPath,t3lib_iconWorks::getIcon($f_table, $row),'',1);
+					$icon = '../' . TYPO3_mainDir . t3lib_iconWorks::skinImg($this->backPath, t3lib_iconWorks::getIcon($f_table, $row), '', 1);
-				} else $icon = '';
+				} else {
+					$icon = '';
+				}
 
 					// Add the item:
 				$items[] = array(
@@ -4821,29 +4817,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/********************************************
 	 *
 	 * Template functions
@@ -4856,7 +4829,7 @@
 	 *
 	 * @return	void
 	 */
-	function setNewBEDesign()	{
+	function setNewBEDesign() {
 		$template = t3lib_div::getURL(PATH_typo3 . $this->templateFile);
 
 			// Wrapping all table rows for a particular record being edited:
